imgfilenames = ['undist/indoor_01_undist.png';
                'undist/indoor_02_undist.png';
                'undist/indoor_03_undist.png'];
pointfilenames = ['image_points_01.txt';
                  'image_points_02.txt';
                  'image_points_03.txt'];

siz = size(imgfilenames);

for m = 1:siz(1)
  img = imread(imgfilenames(m,:));
  points = load(pointfilenames(m,:));

  figure
  hold on
  image(img);
  axis('image');
  set(gca,'YDir','reverse')
  % point data are zero-origin
  % MATLAB is one-origin
  plot(points(:,1)+1,points(:,2)+1, 'x');
end
